Name: lximage-qt
Version: 0.6.0
Release: %mkrel 1
Summary: Image viewer and screenshot tool for the LXQt desktop
License: GPLv2+
Group: Graphical desktop/KDE
URL: http://lxqt.org/
Source0: http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)

BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Network)

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libexif)
BuildRequires: pkgconfig(xfixes)

BuildRequires: cmake(fm-qt)

%description
Image viewer and screenshot tool for the LXQt desktop.

%prep
%setup -q %{name}-%{version}
%autopatch -p1

%build
%cmake_qt5 -DPULL_TRANSLATIONS=NO
%make_build

%install
%make_install -C build


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-screenshot.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Fri Apr 13 2018 neoclust <neoclust> 0.6.0-1.mga6
  (not released yet)
+ Revision: 1218334
- New version 0.6.0

* Wed Nov 09 2016 neoclust <neoclust> 0.5.0-1.mga6
+ Revision: 1066088
- New version 0.5.0

* Wed Aug 31 2016 daviddavid <daviddavid> 0.4.0-3.mga6
+ Revision: 1049613
- add upstream patch to fix .desktop files translation (mga#19273)

* Tue Feb 09 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 952418
- Mageia 6 Mass Rebuild

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.4.0-1.mga5
+ Revision: 816442
- new version 0.4.0
- added translations
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.3.0-4.mga5
+ Revision: 803673
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.3.0-3.mga5
+ Revision: 793520
- do not remove LXQt Catgories from .desktop file

* Tue Oct 21 2014 doktor5000 <doktor5000> 0.3.0-1.mga5
+ Revision: 792288
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- added BuildRequires for QT5 build
  o pkgconfig(Qt5PrintSupport)
  o pkgconfig(libfm-qt5)
- removed implicit BuildRequires on pkgconfig(libfm)
- new version 0.3.0
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 748753
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-2.mga5
+ Revision: 682073
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.2.0-1.mga5
+ Revision: 634431
- imported package lximage-qt


* Fri May 09 2014 doktor5000 <doktor5000@mageia.org> 0.2.0-1
- initially packaged for Mageia

